#include<iostream>
using namespace std;
int arr[3000000];
int main ()
{
    long long a, b, L, br=0, x, y, p=0, k=0;
    cin >> a >> b >> L;
    for (y=1; y<=L; y++)
    {
        for (x=1; x<=L; x++)
        {
            arr[k]=x*a+y*b;
            //cout << arr[k] << ' ';
            //if (arr[k]<=L)
              //  br++;
            k++;
        }
    }
    bool ok;
    do
    {
        ok=true;
        for (int i=0; i<k-1; i++)
        {
            if (arr[i]>arr[i+1])
            {
                swap (arr[i], arr[i+1]);
                ok=false;
            }
        }
    }
    while (!ok);
    //cout << endl;
    for (int i=0; i<k-1; i++)
    {
        if (arr[i]<=L && arr[i]!=arr[i+1])
            br++;
    }
    cout << L-br << endl;
    return 0;
}